moHCMoveLoopExpl(3)

NAME
moHCMoveLoopExpl - Iterative explorer used by a moHC.

SYNOPSIS

#include <moHCMoveLoopExpl.h>

Inherits moMoveLoopExpl< M >< M >.

  Public Member Functions
moHCMoveLoopExpl (moMoveInit< M > &_move_initializer, moNextMove< M > &_next_move_generator, moMoveIncrEval< M > &_incremental_evaluation, moMoveSelect< M > &_move_selection)
Constructor.
void operator() (const EOT &_old_solution, EOT &_new_solution)
Procedure which launches the explorer.

  Private Types
typedef M::EOType EOT
Alias for the type.
typedef M::EOType::Fitness Fitness
Alias for the fitness.

  Private Attributes
moMoveInit< M > & move_initializer
Move initialiser.
moNextMove< M > & next_move_generator
Neighborhood explorer.
moMoveIncrEval< M > & incremental_evaluation
(generally) Efficient evaluation.
moMoveSelect< M > & move_selection
Move selector.

Detailed Description

  template<class M> class moHCMoveLoopExpl< M >
Iterative explorer used by a moHC.

Definition at line 47 of file moHCMoveLoopExpl.h.

Constructor & Destructor Documentation

  template<class M> moHCMoveLoopExpl< M >::moHCMoveLoopExpl (moMoveInit< M > & _move_initializer, moNextMove< M > & _next_move_generator, moMoveIncrEval< M > & _incremental_evaluation, moMoveSelect< M > & _move_selection) [inline]

Constructor.

All the boxes have to be specified.

Parameters:
    _move_initializer The move initialiser.
    _next_move_generator The neighbourhood explorer.
    _incremental_evaluation (generally) Efficient evaluation function.
    _move_selection The move selector.

Definition at line 66 of file moHCMoveLoopExpl.h.

Member Function Documentation

  template<class M> void moHCMoveLoopExpl< M >::operator() (const EOT & _old_solution, EOT & _new_solution) [inline, virtual]

Procedure which launches the explorer.

The exploration starts from an old solution and provides a new solution.

Parameters:
    _old_solution The current solution.
    _new_solution The new solution (result of the procedure).

Implements eoBF< const M::EOType &, M::EOType &, void >.

Definition at line 79 of file moHCMoveLoopExpl.h.

References moHCMoveLoopExpl< M >::incremental_evaluation, moHCMoveLoopExpl< M >::move_initializer, moHCMoveLoopExpl< M >::move_selection, and moHCMoveLoopExpl< M >::next_move_generator.

Author

Generated automatically by Doxygen for ParadisEO-MOMovingObjects from the source code.